/* 
 * File:   Member.h
 * Author: Bright Dadson
 *
 * Created on 15 February 2011, 13:16
 */

#ifndef MEMBER_H
#define	MEMBER_H

#include <odb/core.hxx>
#include <iostream>
#include <string>

namespace yofami {

    using namespace std;
    using namespace odb;

#pragma db object

    class Member {
    private:
        friend class access;

#pragma db id auto
        unsigned long id;

        string title;
        string first_name;
        string middle_name;
        string last_name;
        long dob;
        long join_date;

    public:
        Member();
        Member(unsigned long id, string title, string first_name, string middle_name, string last_name, long dob, long join_date);
        ~Member();

        /**Pessistence Properties*/
        void setId(long id);
        long getId();
        void setTitle(string title);
        string getTitle();
        void setFirstName(string first_name);
        string getFirstname();
        void setMiddleName(string middle_name);
        string getMiddleName();
        void setDob(long dob);
        long getDob();
        void setJoinDate(long join_date);
        long getJoinDate() const;
        void setLastName(string last_name);
        string getLastName();
    };
}


#endif	/* MEMBER_H */
