/*
 * File:   Member.cpp
 * Author: Bright Dadson
 *
 * Class implementation of Persisted Header Member.h
 * Created on 12 February 2011, 08:51
 */

#include "Member.h"

using namespace yofami;

Member::Member() {
}

Member::Member(unsigned long id, string title, string first_name, string middle_name, string last_name, long dob, long join_date) {
    this->id = id;
    this->title = title;
    this->first_name = first_name;
    this->middle_name = middle_name;
    this->last_name = last_name;
    this->dob = dob;
    this->join_date = join_date;
}

void Member::setId(long id) {
    this->id = id;
}

long Member::getId() {
    return this->id;
}

void Member::setTitle(string title) {
    this->title = title;
}

string Member::getTitle() {
    return this->title;
}

void Member::setFirstName(string first_name) {
    this->first_name = first_name;
}

string Member::getFirstname() {
    return this->first_name;
}

void Member::setMiddleName(string middle_name) {
    this->middle_name = middle_name;
}

string Member::getMiddleName() {
    return this->middle_name;
}

void Member::setDob(long dob) {
    this->dob = dob;
}

long Member::getDob() {
    return this->dob;
}

void Member::setJoinDate(long join_date) {
    this->join_date = join_date;
}

long Member::getJoinDate() const {
    return this->join_date;
}

void Member::setLastName(string last_name) {
    this->last_name = last_name;
}

string Member::getLastName() {
    return this->last_name;
}

//Member(const Member orig) {
//}

Member::~Member() {
}


